Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.util
Interface HTTPConstantsInterface

All Known Implementing Classes:
  HTTPConstants, HTTPSamplerBase

public interface HTTPConstantsInterface

Constants used in HTTP, mainly header names.

Field Summary
`static String` | `APPLICATION_X_WWW_FORM_URLENCODED`
`static String` | `CONNECTION_CLOSE`
`static int` | `DEFAULT_HTTP_PORT`
`static String` | `DEFAULT_HTTP_PORT_STRING`
`static int` | `DEFAULT_HTTPS_PORT`
`static String` | `DEFAULT_HTTPS_PORT_STRING`
`static String` | `DELETE`
`static String` | `ENCODING_GZIP`
`static String` | `ETAG`
`static String` | `GET`
`static String` | `HEAD`
`static String` | `HEADER_AUTHORIZATION`
`static String` | `HEADER_CONNECTION`
`static String` | `HEADER_CONTENT_DISPOSITION`
`static String` | `HEADER_CONTENT_ENCODING`
`static String` | `HEADER_CONTENT_LENGTH`
`static String` | `HEADER_CONTENT_TYPE`
`static String` | `HEADER_COOKIE`
`static String` | `HEADER_LOCATION`
`static String` | `HEADER_SET_COOKIE`
`static String` | `HTTP_1_1`
`static String` | `IF_MODIFIED_SINCE`
`static String` | `IF_NONE_MATCH`
`static String` | `KEEP_ALIVE`
`static String` | `LAST_MODIFIED`
`static String` | `MULTIPART_FORM_DATA`
`static String` | `OPTIONS`
`static String` | `POST`
`static String` | `PROTOCOL_HTTP`
`static String` | `PROTOCOL_HTTPS`
`static String` | `PUT`
`static String` | `TRACE`
`static String` | `TRANSFER_ENCODING`

Field Detail

### DEFAULT_HTTPS_PORT

    public static final int DEFAULT_HTTPS_PORT

See Also:
  Constant Field Values

### DEFAULT_HTTPS_PORT_STRING

    public static final String DEFAULT_HTTPS_PORT_STRING

See Also:
  Constant Field Values

### DEFAULT_HTTP_PORT

    public static final int DEFAULT_HTTP_PORT

See Also:
  Constant Field Values

### DEFAULT_HTTP_PORT_STRING

    public static final String DEFAULT_HTTP_PORT_STRING

See Also:
  Constant Field Values

### PROTOCOL_HTTP

    public static final String PROTOCOL_HTTP

See Also:
  Constant Field Values

### PROTOCOL_HTTPS

    public static final String PROTOCOL_HTTPS

See Also:
  Constant Field Values

### HEAD

    public static final String HEAD

See Also:
  Constant Field Values

### POST

    public static final String POST

See Also:
  Constant Field Values

### PUT

    public static final String PUT

See Also:
  Constant Field Values

### GET

    public static final String GET

See Also:
  Constant Field Values

### OPTIONS

    public static final String OPTIONS

See Also:
  Constant Field Values

### TRACE

    public static final String TRACE

See Also:
  Constant Field Values

### DELETE

    public static final String DELETE

See Also:
  Constant Field Values

### HEADER_AUTHORIZATION

    public static final String HEADER_AUTHORIZATION

See Also:
  Constant Field Values

### HEADER_COOKIE

    public static final String HEADER_COOKIE

See Also:
  Constant Field Values

### HEADER_CONNECTION

    public static final String HEADER_CONNECTION

See Also:
  Constant Field Values

### CONNECTION_CLOSE

    public static final String CONNECTION_CLOSE

See Also:
  Constant Field Values

### KEEP_ALIVE

    public static final String KEEP_ALIVE

See Also:
  Constant Field Values

### TRANSFER_ENCODING

    public static final String TRANSFER_ENCODING

See Also:
  Constant Field Values

### HEADER_CONTENT_ENCODING

    public static final String HEADER_CONTENT_ENCODING

See Also:
  Constant Field Values

### HTTP_1_1

    public static final String HTTP_1_1

See Also:
  Constant Field Values

### HEADER_SET_COOKIE

    public static final String HEADER_SET_COOKIE

See Also:
  Constant Field Values

### ENCODING_GZIP

    public static final String ENCODING_GZIP

See Also:
  Constant Field Values

### HEADER_CONTENT_DISPOSITION

    public static final String HEADER_CONTENT_DISPOSITION

See Also:
  Constant Field Values

### HEADER_CONTENT_TYPE

    public static final String HEADER_CONTENT_TYPE

See Also:
  Constant Field Values

### HEADER_CONTENT_LENGTH

    public static final String HEADER_CONTENT_LENGTH

See Also:
  Constant Field Values

### HEADER_LOCATION

    public static final String HEADER_LOCATION

See Also:
  Constant Field Values

### APPLICATION_X_WWW_FORM_URLENCODED

    public static final String APPLICATION_X_WWW_FORM_URLENCODED

See Also:
  Constant Field Values

### MULTIPART_FORM_DATA

    public static final String MULTIPART_FORM_DATA

See Also:
  Constant Field Values

### IF_NONE_MATCH

    public static final String IF_NONE_MATCH

See Also:
  Constant Field Values

### IF_MODIFIED_SINCE

    public static final String IF_MODIFIED_SINCE

See Also:
  Constant Field Values

### ETAG

    public static final String ETAG

See Also:
  Constant Field Values

### LAST_MODIFIED

    public static final String LAST_MODIFIED

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.